debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: OpenSSL: error libssl.so.1.1  (Прочитано 1025 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Ethanol

  • Topic Author
  • Сообщений: 104
OpenSSL: error libssl.so.1.1
« : 25 Март 2017, 21:18:50 »
Здравствуйте.
Установил версию OpenSSL 1.1.0e с сайта openssl.org. Установил с помощью config, make, make test, make install.
После того, как в терминале ввожу openssl, выдаёт ошибку:
openssl: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
Как исправить, подскажите, пожалуйста.
 

Оффлайн mrgoodvin

  • Сообщений: 302
Re: OpenSSL: error libssl.so.1.1
« Ответ #1 : 25 Март 2017, 22:25:34 »
Установил версию OpenSSL 1.1.0e с сайта openssl.org. Установил с помощью config, make, make test, make install.
Тянет библиотеку 1.1 в то время как stable - 1.0. А libc6 тоже будете переустанавливать? Вроде бы тоже ж зависимость есть. Чем с оф. репозитория не устраивает?
 

Оффлайн Ethanol

  • Topic Author
  • Сообщений: 104
Re: OpenSSL: error libssl.so.1.1
« Ответ #2 : 26 Март 2017, 09:46:43 »
Нужно именно свежую версию. Как исправить?
 

Оффлайн qupl

  • Сообщений: 4257
  • memento mori
  • Jabber: qupl@jabber.ru
Re: OpenSSL: error libssl.so.1.1
« Ответ #3 : 26 Март 2017, 13:13:38 »
Проверить версию в backports или обновиться до следующего релиза.

Теги: